/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package modelo;

/**
 *Clase que guarda los requisitos del proyecto
 */
public abstract class Requisito extends Rastreable {
    /**
     * Nombre
     */
    protected String nombre;
    /**
     * identificador único
     */
    protected String id;
    /**
     * Importancia
     */
    protected String importancia;
    /**
     * Urgencia
     */
    protected String urgencia;
    /**
     * estado de desarrollo
     */
    protected String estado_desarrollo;
    /**
     * estabilidad
     */
    protected String estabilidad;

    /**
     * @return the nombre
     */
    public String getNombre() {
        return nombre;
    }

    /**
     * @param nombre the nombre to set
     */
    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    /**
     * @return the id
     */
    public String getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * @return the importancia
     */
    public String getImportancia() {
        return importancia;
    }

    /**
     * @param importancia the importancia to set
     */
    public void setImportancia(String importancia) {
        this.importancia = importancia;
    }

    /**
     * @return the urgencia
     */
    public String getUrgencia() {
        return urgencia;
    }

    /**
     * @param urgencia the urgencia to set
     */
    public void setUrgencia(String urgencia) {
        this.urgencia = urgencia;
    }

    /**
     * @return the estado_desarrollo
     */
    public String getEstado_desarrollo() {
        return estado_desarrollo;
    }

    /**
     * @param estado_desarrollo the estado_desarrollo to set
     */
    public void setEstado_desarrollo(String estado_desarrollo) {
        this.estado_desarrollo = estado_desarrollo;
    }

    /**
     * @return the estabilidad
     */
    public String getEstabilidad() {
        return estabilidad;
    }

    /**
     * @param estabilidad the estabilidad to set
     */
    public void setEstabilidad(String estabilidad) {
        this.estabilidad = estabilidad;
    }
    
    
}
